%%%%MATLAB script to create soil temperature dataset 
close all;
clc;
clear all;

time=(1:1:24)';
t=13; %assume the soil temperature is 13C, or 55F in the morning
m=40;
Tc=zeros(length(time),0); %pre-allocate the vecor for faster calculation
for i=1:length(time)
    mt(i,1)=m+(i*2);
    if i==1
        Tc(i,1)=t;
    else   
        if time(i,1)>6 && time(i,1)<15
            Tc(i,1)=Tc(i-1,1)+.5;
        else
            Tc(i,1)=Tc(i-1,1)-.5;
        end;        
    end;       
end;    

soilData=[Tc mt];
save soilData.mat soilData;